# Restivus

REST APIs for the rest of us.

## Description

Restivus makes it easy to expose a CSV file as a fully-documented REST API.

The restivus-gis fork's purpose is to add GIS File Formats such as SHP and KML.

This is a very early release, the code is not stable, tested, or reliable...yet. Use at your own risk, yada yada yada (see LICENSE.txt for the real terms).

## Installation

`gem install restivus-gis`

## Usage

The `Restivus` class inherits from `Sinatra::Base`. A Restivus app can be just a few lines of code:

```ruby
require 'restivus-gis'

class Bank < RestivusGis
  pk "Bank_Name"     # defaults to "id"
  csv "banklist.csv" # from http://www.fdic.gov/bank/individual/failed/banklist.csv
end

Bank.run! # visit localhost:4567/docs
```


Copyright (c) 2012 Christian Frugard. See LICENSE.txt for
further details.

Based on the excellent work by Alan deLevie in the original Restivus Gem.

Copyright (c) 2012 Alan deLevie. See LICENSE.txt for
further details.

